[med-svn] [subread] 02/05: d/tests/control: add more tests d/tests/exactSNP: use data from source package d/tests/fc-minimal: test_minimal_example.sh d/tests/subjunc: subjunc test

Alex Mestiashvili malex-guest at moszumanska.debian.org
Wed Mar 11 15:13:11 UTC 2015


This is an automated email from the git hooks/post-receive script.

malex-guest pushed a commit to branch master
in repository subread.

commit 985aacc4d300c689b223e9b2cc40c8348e2e50e0
Author: Alexandre Mestiashvili <alex at biotec.tu-dresden.de>
Date:   Wed Mar 11 12:26:26 2015 +0100

    d/tests/control: add more tests
    d/tests/exactSNP: use data from source package
    d/tests/fc-minimal: test_minimal_example.sh
    d/tests/subjunc: subjunc test
---
 debian/tests/control    |  5 ++++-
 debian/tests/exactSNP   | 19 ++-----------------
 debian/tests/fc-minimal |  7 +++++++
 debian/tests/subjunc    |  9 +++++++++
 4 files changed, 22 insertions(+), 18 deletions(-)

diff --git a/debian/tests/control b/debian/tests/control
index 4b83b61..8d2fc14 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -1,2 +1,5 @@
 Tests: exactSNP
-Depends: subread-data
+
+Tests: fc-minimal
+
+Tests: subjunc
diff --git a/debian/tests/exactSNP b/debian/tests/exactSNP
index 4f39039..532b0da 100755
--- a/debian/tests/exactSNP
+++ b/debian/tests/exactSNP
@@ -1,20 +1,5 @@
 #!/bin/sh
 
 set -e
-pkg=`dpkg-parsechangelog | sed -n 's/^Source: //p'`
-testdir=../../test/
-bindir=../$(pkg)/bin/
-ls -l ../$(pkg)
-CURDIR=`pwd`
-echo CURDIR=$CURDIR
-WORKDIR=$(mktemp -d)
-cd $WORKDIR
-
-#for file in test/chr901.fa.gz test/exactSNP/data/test-in.BAM.gz
-#do      
-#        extracted=`echo $file | awk -F/ '{print $NF}'`
-#        zcat $examplesdir/$file >${extracted%.gz}
-#done
-#cd -
-
-$bindir/exactSNP -g $testdir/chr901.fa -o test-out.VCF -i $testdir/test-in.BAM -b >/dev/null 2>&1
+tmpdir=$(mktemp -d)
+exactSNP -g test/chr901.fa -o $tmpdir/test-out.VCF -i test/exactSNP/data/test-in.BAM -b >/dev/null 2>&1
diff --git a/debian/tests/fc-minimal b/debian/tests/fc-minimal
new file mode 100755
index 0000000..f57006c
--- /dev/null
+++ b/debian/tests/fc-minimal
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+workdir=test/featureCounts
+cd $workdir
+tmpdir=$(mktemp -d)
+featureCounts -a data/test-minimum.GTF -o $tmpdir/test-minimum.FC data/test-minimum.sam >/dev/null 2>&1
diff --git a/debian/tests/subjunc b/debian/tests/subjunc
new file mode 100755
index 0000000..9bdf7cf
--- /dev/null
+++ b/debian/tests/subjunc
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+workdir=test/subjunc
+cd $workdir
+tmpdir=$(mktemp -d)
+subread-buildindex -o $tmpdir/small1 ../chr901.fa >/dev/null 2>&1
+subjunc -i $tmpdir/small1 -o $tmpdir/junctions.sam -r data/junction-reads-A.fq -R data/junction-reads-B.fq >/dev/null 2>&1
+subjunc -i $tmpdir/small1 -o $tmpdir/junctionsNfusions.bam --BAMoutput -r data/junction-reads-A.fq -R data/junction-reads-B.fq --allJunctions >/dev/null 2>&1

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/subread.git



More information about the debian-med-commit mailing list